from math import sin, pi, cos
from time import sleep
from pynanopix.NanopixManager import NanopixManager

nanopix = NanopixManager.getInstance().join_nanopixes()[0]

######################################################################
######################## Скрипт для Nanopix: #########################
######################################################################

start_x = nanopix.get_pos_x()
start_y = nanopix.get_pos_y()
nanopix.takeoff()
sleep(4)
nanopix.move_forward(0.5)

for i in range(0, 100):
    dx = 0.5 * sin(i / 100.0 * 2 * pi)
    dy = 0.5 * cos(i / 100.0 * 2 * pi)
    nanopix.set_xy_pos(start_x + dx, start_y + dy)
    sleep(0.15)

sleep(1)
nanopix.set_xy_pos(start_x, start_y)
sleep(3)
nanopix.land()
sleep(5)

######################################################################

NanopixManager.getInstance().stop()
